changeset 71:03c005ffeb03

add script to create release packages and put them on the FTP
author souliane <souliane@mailoo.org>
date Wed, 02 Dec 2015 14:41:08 +0100
parents bf0fab14112f
children c9640163a55c
files scripts/release/update_packages.sh
diffstat 1 files changed, 26 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/release/update_packages.sh	Wed Dec 02 14:41:08 2015 +0100
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# This script creates the new packages and send them to the FTP.
+# It does NOT update the symlinks on the FTP: do it by hand!
+
+
+if [ $# -lt 1 ]; then
+  echo "Usage: `basename $0` <version e.g. 0.6.0>"
+  exit 1
+fi
+
+WORKSPACE=~/workspace
+VERSION=$1
+
+for NAME in sat sat_media urwid_satext sat_pubsub libervia; do
+    cd $WORKSPACE/$NAME
+    hg pull -u
+    FILE=$NAME-$VERSION.tar.bz2
+    hg archive -t tbz2 $FILE -X ".hg*"
+    if [[ $NAME = "urwid_satext" ]]; then
+        DIR="urwid-satext"
+    else
+        DIR=$NAME
+    fi
+    scp -P 2222 $FILE souliane@cete.goffi.org:/srv/ftp/$DIR/
+done
\ No newline at end of file